Altimax\Apidae\Core\Entity\SitraReview:
  type: entity
  table: sitra_review
  repositoryClass: Altimax\Apidae\Core\Repository\SitraReview
  uniqueConstraints:
    objet_email_idx:
      columns: [ "email","id_sitra2" ]
  id:
    id:
      type: integer
      nullable: false
      unsigned: false
      comment: ''
      id: true
      generator:
        strategy: IDENTITY
  fields:
    lastName:
      type: string
      nullable: false
      length: 100
      column: last_name
    firstName:
      type: string
      nullable: false
      length: 100
      column: first_name
    email:
      type: string
      nullable: false
      length: 50
      column: email
    message:
      type: text
      nullable: false
      column: message
    idSitra2:
      type: integer
      nullable: false
      column: id_sitra2
    objectName:
      type: string
      nullable: false
      column: object_name
    isValid:
      type: boolean
      nullable: false
      column: is_valid
    createdAt:
      type: datetime
      nullable: false
      column: created_at
    updatedAt:
      type: datetime
      nullable: false
      column: updated_at
  manyToOne:
    langue:
      targetEntity: Altimax\Apidae\Core\Entity\SitraLangue
      cascade: {  }
      joinColumns:
        langue_id:
          referencedColumnName: id
          onDelete: CASCADE
      orphanRemoval: false
  lifecycleCallbacks:
    prePersist: ['updatedTimestamps']
    preUpdate: ['updatedTimestamps']
